import { ElementRef, AfterViewInit, OnDestroy } from "@angular/core";
export declare class RxSpinnerDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private _spinner;
    private element;
    componentId: string;
    spinner: boolean;
    constructor(elementRef: ElementRef);
    private spinnerDirective;
    ngAfterViewInit(): void;
    bind(): void;
    ngOnDestroy(): void;
}
export declare class RxSpinnerModule {
}
